using System.Collections.Generic;

namespace FSI.BT.Tools.Global.Helpers
{
    internal class GetFolderByName
    {
        internal static (string path, string description) Get(IEnumerable<Settings.Folder.IFolder> folders, string name)
        {
            foreach (var folder in folders)
            {
                if (folder.Name.Equals(name))
                {
                    return (folder.Path, folder.Description);
                }
            }

            return (null, null);
        }
    }
}
